Bug 463592 - Redundant POTFILES.in causes Translation Statistics to fail
Redundant POTFILES.in causes Translation Statistics to fail
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 436824
  Show dependency treegraph
 
Reported: 2008-09-23 21:09 EDT by Asgeir Frimannsson
Modified: 2008-09-25 06:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 05:18:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Asgeir Frimannsson 2008-09-23 21:09:07 EDT
Description of problem:

From a quick look at s-c-services it seems that ./po/POTFILES.in is not used in the process of generating POTs, and that the Makefile uses a 'dynamic' way of specifying the files for xgettext.

However, having a POTFILES.in file means that the translation statistics system (translate.fedoraproject.org) uses intltool to try to generate the POT from the files specified in POTFILES.in. This breaks as POTFILES.in is not up-to-date.

If POTFILES.in is redundant, could it be deleted from the repository, so that we can provide translators with statistics for this module, as well as allow them to download PO files for translations through the web interface?
Comment 1 Nils Philippsen 2008-09-24 05:18:04 EDT
I've removed the file in the upstream repository.

Note You need to log in before you can comment on or make changes to this bug.